<div class="container" *ngIf="authService.isLogged | async">

    <ng-container *ngIf="isAdministrador || isFuncionario || isDisenador">
        <mat-toolbar>
            <span> Asignar Tarea a Empleado </span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarEquipo">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="nuevoForm" (ngSubmit)="postForm(nuevoForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombre Responsable</mat-label>
                            <mat-select matInput formControlName="id_empleado_responsable" [disabled]="true">
                                <mat-option value="{{empleado.id_empleado_empresa}}"
                                    *ngFor="let empleado of dataEmpleados" [disabled]="true">
                                    {{empleado.nombres}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="3" [rowspan]="6">
                        <img class="imagen" src="./assets/img/add-tarea-equipo.svg">
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Fecha Asignacion</mat-label>
                            <input matInput [matDatepicker]="picker1" formControlName="fecha_asignacion" readonly [disabled]="true">
                            <mat-datepicker-toggle matSuffix [for]="picker1" [disabled]="true"></mat-datepicker-toggle>
                            <mat-datepicker #picker1></mat-datepicker>
                        </mat-form-field>
                    </mat-grid-tile>

                    <!--
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>ID JEFE(YO)</mat-label>
                            <input matInput autocomplete="off" 
                                value="{{ getMiID() }}" readonly [disabled]="true">
                        </mat-form-field>
                    </mat-grid-tile>
                    -->

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Fecha Plazo</mat-label>
                            <input matInput [matDatepicker]="picker" formControlName="fecha_plazo">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Tarea</mat-label>
                            <mat-select matInput formControlName="id_tarea">
                                <mat-option value="{{tarea.id_tarea}}" *ngFor="let tarea of tareas">
                                    {{tarea.id_tarea}} - {{tarea.nombre_tarea}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        
                        <button mat-raised-button color="primary" type="submit" [disabled]="nuevoForm.invalid"
                            class="ancho">Aceptar</button>
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>

</div>